import 'package:base_app/res/index.dart';
import 'package:base_app/ui/pages/demo/mapPage/create_map_page.dart';
import 'package:base_app/ui/pages/main_left_page.dart';
import 'package:base_app/ui/widgets/common/button/large_button_widget.dart';
import 'package:base_app/utils/util_index.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

import 'mapPage/draw_map_page.dart';
import 'mapPage/tianditu_map_page.dart';

/// 简洁主页面
class MapPage extends StatelessWidget {
  final String labelId;

  const MapPage({Key key, this.labelId}) : super(key: key); // 页面的labelId

  @override
  Widget build(BuildContext context) {
    // 天地图实验
    Widget tiandituMap = new LargeButton(
        text: '天地图',
        iconPath: "",
        onTap: () {
          NavigatorUtil.pushPage(context, new TiandituMapPage());
        });
    // 系统设置
    Widget createMap = new LargeButton(
        text: '创建地图',
        iconPath: "",
        onTap: () {
          NavigatorUtil.pushPage(context, new CreateMapPage());
        });
    // 系统设置
    Widget drawMap = new LargeButton(
        text: '地图绘制',
        iconPath: "",
        onTap: () {
          NavigatorUtil.pushPage(context, new DrawMapPage());
        });
    // 全局
    return new SingleChildScrollView(
      physics: BouncingScrollPhysics(),
      child: new Column(
        children: <Widget>[Gaps.vGap15, tiandituMap, createMap, drawMap],
      ),
    );
  }
}
